#ifndef _Handle_PBRep_PointRepresentation_HeaderFile
#define _Handle_PBRep_PointRepresentation_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PBRep_PointRepresentation;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PBRep_PointRepresentation);

class Handle(PBRep_PointRepresentation) : public Handle(Standard_Persistent) {
  public:

    Handle(PBRep_PointRepresentation)():Handle(Standard_Persistent)() {} 
    Handle(PBRep_PointRepresentation)(const Handle(PBRep_PointRepresentation)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PBRep_PointRepresentation)(const PBRep_PointRepresentation* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PBRep_PointRepresentation)& operator=(const Handle(PBRep_PointRepresentation)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PBRep_PointRepresentation)& operator=(const PBRep_PointRepresentation* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PBRep_PointRepresentation* operator->() const 
     {
      return (PBRep_PointRepresentation *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PBRep_PointRepresentation) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
